Package org.eigenbase.resgen

# Class XmlFileTask

java.lang.Object
org.eigenbase.resgen.FileTask
org.eigenbase.resgen.XmlFileTask

class XmlFileTask extends FileTask
Ant task which processes an XML file and generates a C++ or Java class from the resources in it.

Since:
  19 September, 2005
Version:
  $Id: //open/util/resgen/src/org/eigenbase/resgen/XmlFileTask.java#12 $
Author:
  jhyde

## Field Summary

Fields
Modifier and Type
Field
Description
`(package private) final String`
`baseClassName`
`(package private) final String`
`cppBaseClassName`

### Fields inherited from class org.eigenbase.resgen.FileTask

`className, cppClassName, fileName, include, outputCpp, outputJava`

## Constructor Summary

Constructors
Constructor
Description
`XmlFileTask(ResourceGenTask.Include include, String fileName, String className, String baseClassName, boolean outputJava, String cppClassName, String cppBaseClassName, boolean outputCpp)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`generateCpp(ResourceGen generator, ResourceDef.ResourceBundle resourceList)`
`(package private) void`
`process(ResourceGen generator)`

### Methods inherited from class org.eigenbase.resgen.FileTask

`checkUpToDate, configureCommentStyle, generateJava, getDestDirectory, getFile, getFileForComments, getResourceDirectory, getSrcDirectory, makeParentDirs`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### baseClassName

final String baseClassName

### cppBaseClassName

final String cppBaseClassName

## Constructor Details

### XmlFileTask

XmlFileTask(ResourceGenTask.Include include, String fileName, String className, String baseClassName, boolean outputJava, String cppClassName, String cppBaseClassName, boolean outputCpp)

## Method Details

### process

void process(ResourceGen generator) throws IOException

Specified by:
  `process` in class `FileTask`
Throws:
  `IOException`

### generateCpp

protected void generateCpp(ResourceGen generator, ResourceDef.ResourceBundle resourceList)